#!/usr/bin/env python

import sys
from distutils.core import setup, Extension 

classifiers = """\
Development Status :: 5 - Production/Stable
Intended Audience :: Developers
License :: OSI Approved :: GPL License
Programming Language :: Python
Programming Language :: C
Topic :: Database
Topic :: Software Development :: Libraries :: Python Modules
Operating System :: Microsoft :: Windows
Operating System :: Unix
"""
 
if sys.platform == "win32":
	include_dirs = [] #[r'c:\mssql7\DevTools\Include',]
	library_dirs = [r'\mssql7\DevTools\Lib',]
	libraries = ["ntwdblib", "kernel32", "user32", "gdi32", "winspool", "comdlg32", "advapi32", "shell32", "ole32", "oleaut32", "uuid", "odbc32", "odbccp32"]
	data_files = [("LIB/site-packages",["ntwdblib.dll",]),
					(".",["ntwdblib.dll",]),
	]
	
else:
	include_dirs = [
		'/usr/include', '/usr/local/include',
		'/usr/include/freetds', '/usr/local/include/freetds'
	]
	library_dirs = [
		'/usr/lib', '/usr/local/lib',
		'/usr/lib/freetds', '/usr/local/lib/freetds'
	]
	libraries = ["sybdb"]
	data_files = []

if sys.version_info < (2, 3):
	_setup = setup
	def setup(**kwargs):
		if kwargs.has_key("classifiers"): 
			del kwargs["classifiers"]
			_setup(**kwargs)

setup(name = "pymssql", 
	version = "0.6.0", 
	description="A simple database interface to MS-SQL for Python.",
	author = "Joon-cheol Park", 
	author_email="jooncheol@gmail.com", 
	license = "GPL",
	url="http://pymssql.sourceforge.net", 
	py_modules=[ 'pymssql', ],
	ext_modules=[Extension("_mssql", ["mssqldbmodule.c"],
							include_dirs = include_dirs,
							library_dirs = library_dirs,
							libraries=libraries)],
	classifiers = filter(None, classifiers.split("\n")),
	data_files=data_files
	) 

